<?php
	include('adodb/adodb.inc.php');
	include('config.inc.php');
	$batch_id = session_id(); //here I am just conveniently using session_id as a batch code
	if(isset($_FILES["fil_csv"])) {
		if($_FILES['fil_csv']['tmp_name'] != ""){
			$tempname = $_FILES['fil_csv']['tmp_name'];
			//assign new name to file 
			$filename = $batch_id . "_" . basename($_FILES["fil_csv"]['name']);
			$uploadfile = APP_UPLOAD_DIR . $filename;
			if(is_uploaded_file($_FILES['fil_csv']['tmp_name'])) {
				move_uploaded_file($tempname, $uploadfile);
			}
			getDataFromCSV($uploadfile, 'app_geocodebatch', $batch_id); //note replace app_geocode_batch with name of your table
		}
	}

	function getDataFromCSV($location, $table_name, $batch_id){
		$db_pg = NewADOConnection(APP_DB_TYPE . '://' . APP_DB_USER . ':' . APP_DB_PASS . '@' . APP_DB_HOST . '/' . APP_DB_NAME . '?persist');
		$isinsert = true;
		$handle = fopen($location, 'r');
		$fields = fgetcsv($handle); //NOTE: We are assuming the first line has the field names
		$num = count($fields);

		echo "number of fields is $num";
		$db_pg->debug = true; //use this only for debugging - take out after done debugging
		$db_pg->Execute("DELETE FROM $table_name WHERE batch_id = " . $db_pg->qstr($batch_id)); //delete prior upload for this user
		
		/** This is a mindless select to get nothing just so we have the structure of the table  **/
		$rs = $db_pg->Execute("SELECT * FROM $table_name WHERE batch_id = " . $db_pg->qstr($batch_id)); 
		while ($data = fgetcsv($handle)){
			$dt = array();
			for ($i = 0; $i < $num; $i++){
				/**NOTE: this assumes that the fields in the import file are named the same as your table fields, 
				fields in import file with no match in table will be ignored. **/
				$dt[$fields[$i]] = trim($data[$i]);	
			}
			$dt['batch_id'] = $batch_id; //here we assume there is a field called batch_id in table so we stamp all these records with same batch code and using session id as batch code.
		
			$isql = $db_pg->GetInsertSQL($rs, $dt); //build the insert sql statement
			$db_pg->Execute($isql); 
		}
		$rs->Close();
		fclose($handle);
		echo "Done";
		
	}
?>
<html>
	<body>
		<form id="frm" name="frm" action="phpupload.php" enctype="multipart/form-data" method="POST">
			<b>Select file and click the Process button</b><br />
			<input type="file" name="fil_csv" id="fil_csv" />
			<input type="submit" name="cmdProcess" id="cmdProcess" value="Process" />
		</form>
	</body>
</html>

